<?php
/*------------------------------------------------------------------------
# helper.php - mod_ospropertysearch
# ------------------------------------------------------------------------
# author    Dang Thuc Dam
# copyright Copyright (C) 2010 joomdonation.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomdonation.com
# Technical Support:  Forum - http://www.joomdonation.com/forum.html
*/

defined('_JEXEC') or die('Restricted access');

class modOspropertyQuickSearchHelper
{
	function loadCity($option,$state_id,$city_id,$random_id){
		global $mainframe;
		$db = JFactory::getDBO();
		$cityArr = array();
		$cityArr[]= JHTML::_('select.option',0,' - '.JText::_('OS_ANY').' - ');
		if($state_id > 0){
			$db->setQuery("Select id as value, city as text from #__osrs_cities where  published = '1' and state_id = '$state_id' order by city");
			$cities = $db->loadObjectList();
			$cityArr[] = JHTML::_('select.option','',JText::_('OS_ANY'));
			$cityArr   = array_merge($cityArr,$cities);
			$disabled  = "";
		}else{
			$disabled  = "disabled";
		}
		return JHTML::_('select.genericlist',$cityArr,'city'.$random_id,'class="input-small" '.$disabled,'value','text',$city_id);
	}
		
	static function listCategories($category_id,$onChangeScript,$inputbox_width_site){
		global $mainframe;
		$parentArr = self::loadCategoryOptions($category_id,$onChangeScript);
		$output = JHTML::_('select.genericlist', $parentArr, 'category_id', 'style="width:'.$inputbox_width_site.'px;" class="input-small" '.$onChangeScript, 'value', 'text', $category_id );
		return $output;
	}
	
	
	static function loadCategoryOptions($category_id,$onChangeScript){
		global $mainframe;
		$db =& JFactory::getDBO();
		// get a list of the menu items
		// excluding the current cat item and its child elements
		$query = 'SELECT *, category_name AS title,parent_id as parent ' .
				 ' FROM #__osrs_categories ' .
				 ' WHERE published = 1' .
			 	 ' ORDER BY parent_id, ordering';
		$db->setQuery( $query );
		$mitems = $db->loadObjectList();

		// establish the hierarchy of the menu
		$children = array();

		if ( $mitems )
		{
			// first pass - collect children
			foreach ( $mitems as $v )
			{
				$pt 	= $v->parent_id;
				$list 	= @$children[$pt] ? $children[$pt] : array();
				array_push( $list, $v );
				$children[$pt] = $list;
			}
		}

		// second pass - get an indent list of the items
		$list = JHTML::_('menu.treerecurse', 0, '', array(), $children, 9999, 0, 0 );
		// assemble menu items to the array
		$parentArr 	= array();
		$parentArr[] 	= JHTML::_('select.option',  '', JText::_( 'Any' ) );
		
		foreach ( $list as $item ) {
			if($item->treename != ""){
				$item->treename = str_replace("&nbsp;","",$item->treename);
			}
			$var = explode("-",$item->treename);
			$treename = "";
			for($i=0;$i<count($var)-1;$i++){
				$treename .= " - ";
			}
			$text = $treename.$item->category_name;
			$parentArr[] = JHTML::_('select.option',  $item->id,$text);
		}
		
		return $parentArr;
	}
}
?>
